Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class RepositoriesMeta

    java.lang.Object
      org.pentaho.di.repository.RepositoriesMeta

    public class RepositoriesMeta

extends Object

Constructor Summary
`RepositoriesMeta(org.pentaho.di.core.logging.LogWriter log)`

Method Summary
`void` | `addDatabase(org.pentaho.di.core.database.DatabaseMeta ci)`
`void` | `addDatabase(int p, org.pentaho.di.core.database.DatabaseMeta ci)`
`void` | `addRepository(int p, RepositoryMeta ri)`
`void` | `addRepository(RepositoryMeta ri)`
`void` | `clear()`
`RepositoryMeta` | `findRepository(String name)`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabase(int i)`
`RepositoryMeta` | `getRepository(int i)`
`String` | `getXML()`
`int` | `indexOfDatabase(org.pentaho.di.core.database.DatabaseMeta di)`
`int` | `indexOfRepository(RepositoryMeta ri)`
`int` | `nrDatabases()`
`int` | `nrRepositories()`
`boolean` | `readData()`
`void` | `removeDatabase(int i)`
`void` | `removeRepository(int i)`
`org.pentaho.di.core.database.DatabaseMeta` | `searchDatabase(String name)`
`RepositoryMeta` | `searchRepository(String name)`
`String` | `toString()`
`boolean` | `writeData()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoriesMeta

    public RepositoriesMeta(org.pentaho.di.core.logging.LogWriter log)

Method Detail

### clear

    public void clear()

### addDatabase

    public void addDatabase(org.pentaho.di.core.database.DatabaseMeta ci)

### addRepository

    public void addRepository(RepositoryMeta ri)

### addDatabase

    public void addDatabase(int p,
                            org.pentaho.di.core.database.DatabaseMeta ci)

### addRepository

    public void addRepository(int p,
                              RepositoryMeta ri)

### getDatabase

    public org.pentaho.di.core.database.DatabaseMeta getDatabase(int i)

### getRepository

    public RepositoryMeta getRepository(int i)

### removeDatabase

    public void removeDatabase(int i)

### removeRepository

    public void removeRepository(int i)

### nrDatabases

    public int nrDatabases()

### nrRepositories

    public int nrRepositories()

### searchDatabase

    public org.pentaho.di.core.database.DatabaseMeta searchDatabase(String name)

### searchRepository

    public RepositoryMeta searchRepository(String name)

### indexOfDatabase

    public int indexOfDatabase(org.pentaho.di.core.database.DatabaseMeta di)

### indexOfRepository

    public int indexOfRepository(RepositoryMeta ri)

### findRepository

    public RepositoryMeta findRepository(String name)

### readData

    public boolean readData()

### getXML

    public String getXML()

### writeData

    public boolean writeData()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD